update a specific attribute - Fabric
Update a Specific Attribute
cURL
curl --request PUT \
--url https://prod01.oms.fabric.inc/api/v2/order/attribute/{code} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"code": "<string>",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"required": true
}
'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/attribute/{code}"
payload = {
"code": "<string>",
"name": "<string>",
"description": "<string>",
"type": "<string>",
"required": True
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PUT',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
code: '<string>',
name: '<string>',
description: '<string>',
type: '<string>',
required: true
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/attribute/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/order/attribute/{code}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'code' => '<string>',
'name' => '<string>',
'description' => '<string>',
'type' => '<string>',
'required' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"x-site-context: <x-site-context>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
?>
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/order/attribute/{code}"
payload := strings.NewReader("{\n \"code\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"type\": \"<string>\",\n \"required\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Responses
200 OK
{
"id": "<string>",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"required": true
}
Error Responses
400 Bad Request
{
"message": "Bad Request"
}
404 Not Found
{
"message": "Not found"
}
500 Internal Server Error
{
"message": "Internal Server Error"
}
Authorization
Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
x-site-context
string
required
The x-site-context header is a JSON object that contains information about the source you wish to pull from.
Path Parameters
code
string
required